import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';
var CELL_TYPE = {
  header: 'th',
  data: 'td'
};

var TableBasic = function TableBasic(_ref) {
  var head = _ref.head,
      body = _ref.body,
      foot = _ref.foot;
  var hasHead = Boolean(head === null || head === void 0 ? void 0 : head.length);
  var hasFoot = Boolean(foot === null || foot === void 0 ? void 0 : foot.length);
  var baseClass = 'sui-TableBasic';
  return React.createElement("table", {
    className: "" + baseClass
  }, hasHead && React.createElement("thead", null, React.createElement("tr", null, head.map(function (element, index) {
    return React.createElement("th", {
      key: index,
      className: baseClass + "-cell " + baseClass + "-headerCell"
    }, element);
  }))), React.createElement("tbody", null, body.map(function (row, index) {
    return React.createElement("tr", {
      key: index
    }, row.map(function (cell, index) {
      var _cell$type = cell.type,
          Element = _cell$type === void 0 ? CELL_TYPE.data : _cell$type;
      var cellClassName = cx(baseClass + "-cell", {
        'sui-TableBasic-cell--noWrap': cell.isNowrap
      });
      return React.createElement(Element, {
        key: index,
        className: cellClassName
      }, cell.content);
    }));
  })), hasFoot && React.createElement("tfoot", null, React.createElement("tr", null, foot.map(function (element, index) {
    return React.createElement("td", {
      key: index,
      className: baseClass + "-cell"
    }, element);
  }))));
};

TableBasic.displayName = 'TableBasic';
export { CELL_TYPE as tableBasicTypes };
export default TableBasic;